Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Class InvalidSlotChannelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  opencard.core.OpenCardException
                      opencard.core.terminal.CardTerminalException
                          opencard.core.terminal.InvalidSlotChannelException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidSlotChannelException

extends CardTerminalException

An `InvalidSlotChannelException` signals that the `SlotChannel` was not valid (e.g., it was not opened by a `CardTerminal`).

Version:
  $Id: InvalidSlotChannelException.java,v 1.1.1.1 1999/10/05 15:34:31 damke Exp $
Author:
  Dirk Husemann (hud@zurich.ibm.com), Mike Wendler (mwendler@de.ibm.com), Stephan Breideneich (sbreiden@de.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`InvalidSlotChannelException()` Constructs an object of this class.
`InvalidSlotChannelException(java.lang.String s)` Constructs an exception and passes a string with a possible cause.
`InvalidSlotChannelException(java.lang.String s, CardTerminal aTerminal)` The `CardTerminal` enhanced constructor.

Method Summary

Methods inherited from class opencard.core.terminal.CardTerminalException
`getCardTerminal, getSlot`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSlotChannelException

    public InvalidSlotChannelException()

  Constructs an object of this class.

### InvalidSlotChannelException

    public InvalidSlotChannelException(java.lang.String s)

  Constructs an exception and passes a string with a possible cause.

  Parameters:
    `s` - A message telling a bit more about the cause of this exception

### InvalidSlotChannelException

    public InvalidSlotChannelException(java.lang.String s,
                                       CardTerminal aTerminal)

  The `CardTerminal` enhanced constructor.

  Parameters:
    `s` - A message telling a bit more about the cause of this exception
    `aTerminal` - The `CardTerminal` where the exception originated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD